Package org.springframework.aot.hint

# Class JdkProxyHint.Builder

java.lang.Object
org.springframework.aot.hint.JdkProxyHint.Builder

Enclosing class:
  JdkProxyHint

public static class JdkProxyHint.Builder extends Object
Builder for `JdkProxyHint`.

## Method Summary

Modifier and Type
Method
Description
`JdkProxyHint.Builder`
`onReachableType(TypeReference reachableType)`
Make this hint conditional on the fact that the specified type can be resolved.
`JdkProxyHint.Builder`
`proxiedInterfaces(Class<?>... proxiedInterfaces)`
Add the specified interfaces that the proxy should implement.
`JdkProxyHint.Builder`
`proxiedInterfaces(TypeReference... proxiedInterfaces)`
Add the specified interfaces that the proxy should implement.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### proxiedInterfaces

public JdkProxyHint.Builder proxiedInterfaces(TypeReference... proxiedInterfaces)
Add the specified interfaces that the proxy should implement.

Parameters:
  `proxiedInterfaces` - the interfaces the proxy should implement
Returns:
  `this`, to facilitate method chaining

### proxiedInterfaces

public JdkProxyHint.Builder proxiedInterfaces(Class<?>... proxiedInterfaces)
Add the specified interfaces that the proxy should implement.

Parameters:
  `proxiedInterfaces` - the interfaces the proxy should implement
Returns:
  `this`, to facilitate method chaining

### onReachableType

public JdkProxyHint.Builder onReachableType(TypeReference reachableType)
Make this hint conditional on the fact that the specified type can be resolved.

Parameters:
  `reachableType` - the type that should be reachable for this hint to apply
Returns:
  `this`, to facilitate method chaining